  library(ggplot2)
  
  #faili sisselugemine ja andmete formaadi korrigeerimine
  J235=na.omit(read.csv("PT2-T2.3-J2.3.5.csv",header=TRUE, encoding ="UTF-8"))
  J235$X[2:4]=J235$X[1]
  J235$X[6:8]=J235$X[5]
  
  names(J235)=c("X","Faktor","high","low","OR")
  J235$X=as.factor(J235$X)
  J235$Faktor=as.factor(J235$Faktor)
  J235$X=factor(J235$X,levels(J235$X)[order(c(2,1))])
  J235$Faktor=factor(J235$Faktor,levels(J235$Faktor)[order(c(2,4,1,3))])
  
  
  
  #joonis
  ggplot(J235,aes(x=Faktor,y=OR,col=Faktor))+
    facet_grid(~X,labeller = label_wrap_gen())+
    geom_point(cex=3)+
    geom_errorbar(aes(x=Faktor,ymin=low,ymax=high),width=0.1,linewidth=0.9)+
    geom_abline(slope=0,intercept=1,linewidth=0.3)+
    theme_minimal()+
    theme(legend.title=element_blank())+
    theme(legend.position = "none")+
    scale_y_continuous(limits=c(1,4.5),breaks=seq(0,4.5,0.5))+
    ylab("Odds ratio (OR) and 95% confidence interval")+
    xlab("")+
    theme(axis.text.x = element_text(angle = 90))+
    theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
    scale_color_manual(values=c("#668080","#FF3600","#f09d00","#6666cc"))+
    theme(strip.text.x=element_text(color="#668080"))
  
  
  
  
  
  
  
  
